# Interface BeanContextServicesListener

All Superinterfaces:
  `BeanContextServiceRevokedListener, EventListener`

All Known Subinterfaces:
  `BeanContextServices`

All Known Implementing Classes:
  `BeanContextChildSupport, BeanContextServicesSupport, BeanContextSupport`

@Deprecated(since="23", forRemoval=true) public interface BeanContextServicesListener extends BeanContextServiceRevokedListener
Deprecated, for removal: This API element is subject to removal in a future version.
The listener interface for receiving `BeanContextServiceAvailableEvent` objects. A class that is interested in processing a `BeanContextServiceAvailableEvent` implements this interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `serviceAvailable(BeanContextServiceAvailableEvent bcsae)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  The service named has been registered. getService requests for this service may now be made.

  ### Methods declared in interface BeanContextServiceRevokedListener

  `serviceRevoked`

- ## Method Details

  - ### serviceAvailable

    void serviceAvailable(BeanContextServiceAvailableEvent bcsae)
    Deprecated, for removal: This API element is subject to removal in a future version.
    The service named has been registered. getService requests for this service may now be made.
    Parameters:
      `bcsae` - the `BeanContextServiceAvailableEvent`